
public class Class133 {

   byte aByte1571;
   short aShort1572;
   short aShort1573;
   boolean aBool1574;
   short aShort1575;
   byte aByte1576;
   int anInt1577;
   int anInt1578;


   Class133(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, boolean var10, int var11) {
      this.anInt1577 = var1 * 1086169529;
      this.aShort1572 = (short)var5;
      this.aShort1575 = (short)var6;
      this.aShort1573 = (short)var7;
      this.aByte1576 = (byte)var8;
      this.aByte1571 = (byte)var9;
      this.aBool1574 = var10;
      this.anInt1578 = 59568353 * var11;
   }

   static final void method2498(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 159114566);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class182.method3222(var3, var4, var0, 1583584331);
   }

   static final void method2499(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1197568083 * Class3.anInt104;
   }

   static final int method2500(int var0, int var1, int var2, int var3) {
      if(var0 == var1) {
         return var0;
      } else {
         int var4 = 128 - var2;
         int var5 = var2 * (var1 & 127) + var4 * (var0 & 127) >> 7;
         int var6 = var4 * (var0 & 896) + var2 * (var1 & 896) >> 7;
         int var7 = var2 * (var1 & '\ufc00') + var4 * (var0 & '\ufc00') >> 7;
         return var7 & '\ufc00' | var6 & 896 | var5 & 127;
      }
   }

   public static long method2501(int var0, int var1) {
      return (long)(var0 + 11745) * 86400000L;
   }

   static void method2502(String var0, int var1) {
      client.aString7709 = var0;
      if(Class178.method3161(-1182451043) != Class283.aClass283_3329) {
         try {
            String var2 = Class393.anApplet4870.getParameter(Class301.aClass301_3727.aString3752);
            String var3 = Class393.anApplet4870.getParameter(Class301.aClass301_3748.aString3752);
            String var4 = var2 + "settings=" + var0 + "; version=1; path=/; domain=" + var3;
            if(var0.length() == 0) {
               var4 = var4 + "; Expires=Thu, 01-Jan-1970 00:00:00 GMT; Max-Age=0";
            } else {
               var4 = var4 + "; Expires=" + Class563.method11957(Class339.method6240(1626285747) + 94608000000L) + "; Max-Age=" + 94608000L;
            }

            Class438.method7364(Class393.anApplet4870, "document.cookie=\"" + var4 + "\"", -1206690025);
         } catch (Throwable var5) {
            ;
         }

      }
   }

   public static int method2503(String var0, byte var1) {
      return var0.length() + 2;
   }

   static final void method2504(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      if(var0.anIntArray6027[var0.anInt6003 * -937710807] > var0.anIntArray6027[1 + var0.anInt6003 * -937710807]) {
         var0.anInt6025 += 2029505775 * var0.anIntArray6023[1651565071 * var0.anInt6025];
      }

   }
}
